import { AnyRouter, inferRouterContext, Dict } from "@trpc/server";
export declare type createSolidAPIHandlerContext = {
    req: Request;
    res: {
        headers: Dict<string | string[]>;
    };
};
export declare type CreateContextFn<TRouter extends AnyRouter> = (ctx: createSolidAPIHandlerContext) => inferRouterContext<TRouter> | Promise<inferRouterContext<TRouter>>;
export declare type ICreateProps<TRouter extends AnyRouter> = {
    router: TRouter;
    createContext: CreateContextFn<TRouter>;
};
export declare type IFixedRequest = Request & {
    headers: Dict<string | string[]>;
};
